Updating error on Fedora 22



  • Hi guys, I'm getting this error while trying to update [attachment=1788]fedora22-vivaldi.png[/attachment] edit: wops it seems the image compression on the forum is quite high, idk if you can read, I'll copy - paste here: Total 466 kB/s | 58 MB 02:08 warning: /var/cache/dnf/vivaldi-snapshot-28791f08fe7f70b6/packages/vivaldi-snapshot-1.0.283.8-1.x86_64.rpm: Header V4 RSA/SHA1 Signature, key ID bf1700f8: NOKEY GPG key at https://dl.google.com/linux/linux_signing_key.pub (0x7FAC5991) is already installed The downloaded packages were saved in cache till the next successful transaction. You can remove cached packages by executing 'dnf clean packages'. Error: The GPG keys listed for the "vivaldi-snapshot" repository are already installed but they are not correct for this package. Check that the correct key URLs are configured for this repository. Failing package is: vivaldi-snapshot-1.0.283.8-1.x86_64 GPG Keys are configured as: https://dl.google.com/linux/linux_signing_key.pub [nick@localhost ~]$ scrot fedora22-vivaldi.png edit: I've tried to clear the cache and update again but it didn't work edit2: I got it to work now, but I had to remove my snapshot, then I downloaded and installed the latest one from the teamblog It's pretty uncomfortable to uninstall/reinstall Vivaldi for each new version. Am I missing something? Attachments: [img]https://forum.vivaldi.net/uploads/attachments/50223/fedora22-vivaldi.png[/img]



  • Hi, on Opensuse there was a repository added during rpm -ihv installation, before I use rpm -Uhv.

    http://repo.vivaldi.com/archive/rpm/x86_64

    May update work with Software Center.

    Cheers, mib



  • @mib2berlin:

    Hi, on Opensuse there was a repository added during rpm -ihv installation, before I use rpm -Uhv.

    http://repo.vivaldi.com/archive/rpm/x86_64

    May update work with Software Center.

    Cheers, mib

    I'll check it out! Thanks


  • Moderator

    Works a treat on Debian-based systems (Lubuntu in this case). Can't say what's up with Fedora.



  • Still the same error with the latest snapshot
    I have to delete the old packages/download the latest snapshot and install it



  • Still broken for Opensuse as well which also uses rpm. I'm using 64bit if makes a difference but probably not.

    Each time I get notified of a Vivaldi update in system tray I have to ignore the auto-update and do a proper update through Yast and when it complains about the public key not being there I have to tell it to ignore the issue and it warns about the possibility of corrupting the software on the computer but it will install it and work….not the best process though and makes it a pain to update!

    Hope this can be fixed soon, I've had to do this every time I update.


Log in to reply
 

Looks like your connection to Vivaldi Forum was lost, please wait while we try to reconnect.